<template>
  <v-icon :color="color">
    {{ icon }}
  </v-icon>
</template>

<script>
  export default {
    name: 'BooleanIcon',
    props: {
      isChecked: {
        type: [Boolean, Number],
        required: true,
      },
    },
    computed: {
      icon () {
        return this.isChecked
          ? 'mdi-check-circle'
          : 'mdi-close-circle'
      },
      color () {
        return this.isChecked
          ? this.$vuetify.theme.themes.light.success
          : this.$vuetify.theme.themes.light.error
      },
    },
  }
</script>
